Package com.databricks.jdbc.client

## Interface DatabricksMetadataClient

All Known Implementing Classes:
  `DatabricksMetadataSdkClient`, `DatabricksNewMetadataSdkClient`, `DatabricksThriftServiceClient`

    public interface DatabricksMetadataClient

### Method Summary

All Methods Instance Methods Abstract Methods
`DatabricksResultSet` `listCatalogs​(IDatabricksSession session)` Returns the list of catalogs
`DatabricksResultSet` `listColumns​(IDatabricksSession session, String catalog, String schemaNamePattern, String tableNamePattern, String columnNamePattern)` Returns the list of columns
`DatabricksResultSet` `listFunctions​(IDatabricksSession session, String catalog, String schemaNamePattern, String functionNamePattern)` Returns the list of functions
`DatabricksResultSet` `listPrimaryKeys​(IDatabricksSession session, String catalog, String schema, String table)` Returns the list of primary keys
`DatabricksResultSet` `listSchemas​(IDatabricksSession session, String catalog, String schemaNamePattern)` Returns the list of schemas
`DatabricksResultSet` `listTables​(IDatabricksSession session, String catalog, String schemaNamePattern, String tableNamePattern, String[] tableTypes)` Returns the list of tables
`DatabricksResultSet` `listTableTypes​(IDatabricksSession session)` Returns list of table types
`DatabricksResultSet` `listTypeInfo​(IDatabricksSession session)` Returns information about types supported by Databricks server

### Method Detail

#### listTypeInfo

    DatabricksResultSet listTypeInfo​(IDatabricksSession session)
                              throws SQLException

Returns information about types supported by Databricks server

Throws:
  `SQLException`

#### listCatalogs

    DatabricksResultSet listCatalogs​(IDatabricksSession session)
                              throws SQLException

Returns the list of catalogs

Throws:
  `SQLException`

#### listSchemas

    DatabricksResultSet listSchemas​(IDatabricksSession session,
                                    String catalog,
                                    String schemaNamePattern)
                             throws SQLException

Returns the list of schemas

Parameters:
  `session` - underlying session
  `catalog` - catalogName which must match to catalog in database
  `schemaNamePattern` - must match to schema name in database (can be a regex pattern or absolute name)
Returns:
  a DatabricksResultSet representing list of schemas
Throws:
  `SQLException`

#### listTables

    DatabricksResultSet listTables​(IDatabricksSession session,
                                   String catalog,
                                   String schemaNamePattern,
                                   String tableNamePattern,
                                   String[] tableTypes)
                            throws SQLException

Returns the list of tables

Parameters:
  `session` - underlying session
  `catalog` - catalogName which must match to catalog in database
  `schemaNamePattern` - must match to schema name in database (can be a regex pattern or absolute name)
  `tableNamePattern` - must match to table name in database (can be a regex pattern or absolute name)
Returns:
  a DatabricksResultSet representing list of tables
Throws:
  `SQLException`

#### listTableTypes

    DatabricksResultSet listTableTypes​(IDatabricksSession session)
                                throws SQLException

Returns list of table types

Throws:
  `SQLException`

#### listColumns

    DatabricksResultSet listColumns​(IDatabricksSession session,
                                    String catalog,
                                    String schemaNamePattern,
                                    String tableNamePattern,
                                    String columnNamePattern)
                             throws SQLException

Returns the list of columns

Parameters:
  `session` - underlying session
  `catalog` - catalogName which must match to catalog in database
  `schemaNamePattern` - must match to schema name in database (can be a regex pattern or absolute name)
  `tableNamePattern` - must match to table name in database (can be a regex pattern or absolute name)
  `columnNamePattern` - must match to column name in database (can be a regex pattern or absolute name)
Returns:
  a DatabricksResultSet representing list of columns
Throws:
  `SQLException`

#### listFunctions

    DatabricksResultSet listFunctions​(IDatabricksSession session,
                                      String catalog,
                                      String schemaNamePattern,
                                      String functionNamePattern)
                               throws SQLException

Returns the list of functions

Parameters:
  `session` - underlying session
  `catalog` - catalogName which must match to catalog in database
  `schemaNamePattern` - must match to schema name in database (can be a regex pattern or absolute name)
  `functionNamePattern` - must match to function name in database (can be a regex pattern or absolute name)
Returns:
  a DatabricksResultSet representing list of functions
Throws:
  `SQLException`

#### listPrimaryKeys

    DatabricksResultSet listPrimaryKeys​(IDatabricksSession session,
                                        String catalog,
                                        String schema,
                                        String table)
                                 throws SQLException

Returns the list of primary keys

Parameters:
  `session` - underlying session
  `catalog` - catalogName which must match to catalog in database
  `schema` - must match to a schema in database
  `table` - must match to a table in database
Returns:
  a DatabricksResultSet representing list of functions
Throws:
  `SQLException`